POST/shorts.v1alpha1.StockService/GetStockDetails

GetStockDetails

Provides a more in-depth breakdown of a particular stock's metadata.

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object

Request for GetStockDetails RPC, specifying the product code.

productCodestring

(proto string)

Responses

200Success
application/json
object

* Table "public.metadata" Column | Type | Collation | Nullable | Default -------------------+------+-----------+----------+--------- company_name | text | | | address | text | | | summary | text | | | details | text | | | website | text | | | stock_code | text | | | links | text | | | images | text | | | company_logo_link | text | | | gcsUrl | text | | |

addressstring

(proto string)

companyHistorystring

(proto string)

companyNamestring

(proto string)

competitiveAdvantagesstring

(proto string)

detailsstring

(proto string)

enhancedSummarystring

(proto string)

enrichmentDatestring <date-time>

(proto google.protobuf.Timestamp)

enrichmentErrorstring

(proto string)

enrichmentStatusstring

(proto string)

financialReportsarray

(proto stocks.v1alpha1.FinancialReport)

Array Items:
financialStatementsobject

(proto stocks.v1alpha1.FinancialStatements)

errorstring

(proto string)

successboolean

(proto bool)

gcsUrlstring

(proto string)

industrystring

(proto string)

keyPeoplearray

(proto stocks.v1alpha1.CompanyPerson)

Array Items:
logoFormatstring

Original format of discovered logo (svg, png, etc) (proto string)

logoGcsUrlstring

Logo URLs (populated by logo discovery pipeline) Full logo PNG URL (background removed) (proto string)

logoIconGcsUrlstring

Icon-only logo PNG URL (proto string)

logoSourceUrlstring

Original URL where the logo was found (proto string)

logoSvgGcsUrlstring

Original SVG logo URL (if discovered as SVG) (proto string)

productCodestring

(proto string)

recentDevelopmentsstring

(proto string)

riskFactorsarray

(proto string)

Array Items:
string
socialMediaLinksobject

(proto stocks.v1alpha1.SocialMediaLinks)

facebookstring

(proto string)

linkedinstring

(proto string)

twitterstring

(proto string)

websitestring

(proto string)

youtubestring

(proto string)

summarystring

(proto string)

tagsarray

(proto string)

Array Items:
string
websitestring

(proto string)

defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.StockService/GetStockDetails" \
  -H "Content-Type: application/json" \
  -d '{
  "productCode": "string"
}'